Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595065 - SELinux is preventing /usr/lib/vmware-tools/bin32/vmware-tpvmlp "read write" access on LCK..ttyS0.
Summary: SELinux is preventing /usr/lib/vmware-tools/bin32/vmware-tpvmlp "read write" ...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:55be773e856...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 08:52 UTC by Phil Huffman
Modified: 2010-05-24 12:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 12:34:10 UTC


Attachments (Terms of Use)

Description Phil Huffman 2010-05-23 08:52:26 UTC
Summary:

SELinux is preventing /usr/lib/vmware-tools/bin32/vmware-tpvmlp "read write"
access on LCK..ttyS0.

Detailed Description:

SELinux denied access requested by tpvmgp. It is not expected that this access
is required by tpvmgp and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_lock_t:s0
Target Objects                LCK..ttyS0 [ file ]
Source                        tpvmgp
Source Path                   /usr/lib/vmware-tools/bin32/vmware-tpvmlp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-114.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30
                              20:14:08 UTC 2010 i686 i686
Alert Count                   110
First Seen                    Sun 23 May 2010 03:49:57 AM CDT
Last Seen                     Sun 23 May 2010 03:50:03 AM CDT
Local ID                      b272d41a-05f7-4b03-9ab4-5f7ac8408c38
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274604603.432:118): avc:  denied  { read write } for  pid=1421 comm="tpvmgp" name="LCK..ttyS0" dev=dm-0 ino=8172 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_lock_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274604603.432:118): arch=40000003 syscall=5 success=no exit=-13 a0=8cb8e88 a1=2 a2=1a4 a3=8cb1c38 items=0 ppid=1417 pid=1421 auid=4294967295 uid=0 gid=7 euid=0 suid=0 fsuid=0 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm="tpvmgp" exe="/usr/lib/vmware-tools/bin32/vmware-tpvmlp" subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,tpvmgp,cupsd_t,var_lock_t,file,read,write
audit2allow suggests:

#============= cupsd_t ==============
allow cupsd_t var_lock_t:file { read write };

Comment 1 Phil Huffman 2010-05-23 08:55:42 UTC
I was logging on to the system.

Comment 2 Miroslav Grepl 2010-05-24 12:34:10 UTC
It looks like tpvmlp is leaking an open file descriptor to cups. You can add a dontaudit policy to stop these avc's from happening

# grep tpvmgp /var/log/audit/audit.log | audit2allow -D -M mycups
# semodule -i mycups.pp


Note You need to log in before you can comment on or make changes to this bug.